<?php
return array(
    'controllers' => array(
        'invokables' => array(
            'Log\Controller\Log' => 'Log\Controller\LogController',
        ),
    ),
    'router' => array(
        'routes' => array(
            'log' => array(
                'type'    => 'Segment',
                'options' => array(
                    // Change this to something specific to your module
                    'route'    => '/log[/:action[/:id]][/:from-date/:to-date]',
                    'defaults' => array(
                        // Change this value to reflect the namespace in which
                        // the controllers for your module are found
                        '__NAMESPACE__' => 'Log\Controller',
                        'controller'    => 'Log',
                        'action'        => 'index',
                        'from-date' => date('Y-m-d', strtotime('- 1 month')),
                        'to-date' => date('Y-m-d')
                    ),
                    'constraints' => array(
                            'action'     => 'index|job|branch|searchHistory',
                            'from-date' => '[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])',
                            'to-date' => '[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])',
                    ),
                ),
            ),
        ),
    ),
    'view_manager' => array(
        'template_path_stack' => array(
            'Log' => __DIR__ . '/../view',
        ),
    ),
);
