<?php

namespace Log\Model;

use Zend\Db\Sql\Sql;
use Zend\Stdlib\Hydrator\ClassMethods;
use Zend\Db\ResultSet\HydratingResultSet;

class LogMapper {

    protected $sql;

    public function __construct(Sql $sql) {
        $this->sql = $sql;
    }

    public function getLogsBetweenDates($fromDate, $toDate) {
        $select = $this->sql->select('log');
        $select->where->greaterThanOrEqualTo('datetime', $fromDate . ' 00:00:00');
        $select->where->lessThanOrEqualTo('datetime', $toDate . ' 23:59:59');
        $select->order(array('datetime DESC'));

        $statement = $this->sql->prepareStatementForSqlObject($select);
        $results = $statement->execute();

        $entityPrototype = new LogEntity();
        $hydrator = new ClassMethods();
        $resultset = new HydratingResultSet($hydrator, $entityPrototype);
        $resultset->initialize($results);
        $resultset->buffer();

        return $resultset;
    }

    public function addLog(LogEntity $log) {
        $hydrator = new ClassMethods();
        $data = $hydrator->extract($log);

        unset($data['id']);

        $insert = $this->sql->insert('log');
        $insert->values($data);

        $statement = $this->sql->prepareStatementForSqlObject($insert);
        $statement->execute();
    }
}

?>